<?php
/**********************************************************************
***********************************************************************/

$page_security = 'SA_JOB_MATERIAL_REQ';

if (!@$_GET['popup'])
	$path_to_root = "../..";
else	
	$path_to_root = "..";

include_once($path_to_root . "/includes/db_pager.inc");
include_once($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/ui.inc");
include_once($path_to_root . "/inventory/includes/db/job_material_requisitions_db.inc"); 

$js = '';
$js .= get_js_open_window(900, 500);
$js .= get_js_date_picker();

page($help_context = 'Approve '.$systypes_array[ST_JOB_MATERIAL_REQ], false, false, "", $js);

function _trans_no($row){ 
    return get_inventory_trans_view_str($row['type'], $row['trans_no']);
}

function _jo_id($row){ 
    $jo_id = $row['jo_id'];
    return get_service_trans_view_str(ST_JOB_ORDER, $jo_id);
}

function _reference($row){
    return $row['reference'];
}

function _location($row){
    return $row['location_name'];
}

function _project_name($row){
    return $row['project_description'];
}

function _tran_date($row){
    return sql2date($row['tran_date']);
}

function _total($row) {
    return number_format($row['total'], 2);
}

function _created_by($row){
    return $row['real_name'];
}

function _created_on($row){
    return $row['created_on'];
}

function _approval_status($row){
    global $approval_statuses;
    return $approval_statuses[$row['approval_status']];
}

function _approval_group($row){
    return get_project_trans_view_str(ST_APPROVAL_GROUP,$row['next_approval_group_id'], $row['approval_group_description']);
}

function _edit_link($row){
    $name_value = "ModifyJMR_No=".$row['id'];
    return pager_link( _("Edit"), "/inventory/job_material_requisitions.php?$name_value", ICON_EDIT);
}

start_form();

    $sql = get_sql_for_approve_job_material_requisitions($_SESSION['wa_current_user']->user);    
    
        $cols = array(  _("Trans #") => array('fun'=>'_trans_no', 'align'=>'center'), 
                        _("Job Card #") => array('fun'=>'_jo_id', 'align'=>'center'),
                        _("Ref") => array('fun'=>'_reference', 'align'=>'left'), 
                        _("Date") => array('fun'=>'_tran_date', 'align'=>'center'),
                        _("Location") => array('fun'=>'_location'), 
                        _("Project") => array('fun'=>'_project_name'),      
                        _("Total") => array('fun'=>'_total', 'align'=>'right'),   
                        _("Created By") => array('fun'=>'_created_by', 'align'=>'left'),
                        _("Created On") => array('fun'=>'_created_on', 'align'=>'center'),
                        _("Approval Status") => array('fun'=>'_approval_status', 'align'=>'center'), 
                        _("Next Approval Group") => array('fun'=>'_approval_group', 'align'=>'center'), 
                    );
    
        array_append($cols, array(array('insert'=>true, 'fun'=>'_edit_link', 'align'=>'center')));

    $table =& new_db_pager('orders_tbl', $sql, $cols, null, null);

    $table->width = "90%";

    display_db_pager($table);

end_form(2);
end_page();

?>